| PDM-IR SDK 3.2.8 PDM-IR_SDK

- Main Page
- Modules
- Data Structures
- Files

Functions
Get methods

## Functions
DllSDKExport RESULT | PDMIR_GetAmplitude (UINT16 serialNumber, UINT16 *ampi)
DllSDKExport RESULT | PDMIR_GetTemperature (UINT16 serialNumber, TEMP_VALUES *temp)
DllSDKExport RESULT | PDMIR_GetHoldOff (UINT16 serialNumber, UINT32 *holdOff, HOLDOFFTYPE *type)
DllSDKExport RESULT | PDMIR_GetGateMode (UINT16 serialNumber, GATEMODE *gate)
DllSDKExport RESULT | PDMIR_GetGateShape (UINT16 serialNumber, GATESHAPE *shape)
DllSDKExport RESULT | PDMIR_GetTriggerEdge (UINT16 serialNumber, TREDGE *edge)
DllSDKExport RESULT | PDMIR_GetTriggerInTh (UINT16 serialNumber, INT16 *TriggerInTh)
DllSDKExport RESULT | PDMIR_GetAuxInTh (UINT16 serialNumber, INT16 *AuxInTh)
DllSDKExport RESULT | PDMIR_GetTriggerFunction (UINT16 serialNumber, TRFUNCT *function)
DllSDKExport RESULT | PDMIR_GetFrequency (UINT16 serialNumber, UINT32 *freq)
DllSDKExport RESULT | PDMIR_GetTon (UINT16 serialNumber, UINT32 *Ton)
DllSDKExport RESULT | PDMIR_GetTTLOut (UINT16 serialNumber, OUTMODE *TTLOut)
DllSDKExport RESULT | PDMIR_GetNIMOut (UINT16 serialNumber, OUTMODE *NIMOut)
DllSDKExport RESULT | PDMIR_GetDelayTriggerIn (UINT16 serialNumber, UINT8 *delay)
DllSDKExport RESULT | PDMIR_GetDelayTriggerInternal (UINT16 serialNumber, UINT8 *delay)
DllSDKExport RESULT | PDMIR_GetDelayAuxIn (UINT16 serialNumber, UINT8 *delay)
DllSDKExport RESULT | PDMIR_GetDelayGate (UINT16 serialNumber, UINT8 *delay)
DllSDKExport RESULT | PDMIR_GetDelayNIMOut (UINT16 serialNumber, UINT8 *delay)
DllSDKExport RESULT | PDMIR_GetDelayTTLOut (UINT16 serialNumber, UINT8 *delay)
DllSDKExport RESULT | PDMIR_GetCounterIntegrationTime (UINT16 serialNumber, UINT16 *integrationTime)
DllSDKExport RESULT | PDMIR_GetCounterAvalancheStatus (UINT16 serialNumber, COUNTERSTATUS *status)
DllSDKExport RESULT | PDMIR_GetCounterValidGateStatus (UINT16 serialNumber, COUNTERSTATUS *status)
DllSDKExport RESULT | PDMIR_GetCounterAuxInStatus (UINT16 serialNumber, COUNTERSTATUS *status)
DllSDKExport RESULT | PDMIR_GetCounterTriggerInStatus (UINT16 serialNumber, COUNTERSTATUS *status)
DllSDKExport RESULT | PDMIR_GetCounterInternalTriggerStatus (UINT16 serialNumber, COUNTERSTATUS *status)
DllSDKExport RESULT | PDMIR_GetAllCountersStatus (UINT16 serialNumber, COUNTERSTATUS *avalancheStatus, COUNTERSTATUS *validGateStatus, COUNTERSTATUS *auxInStatus, COUNTERSTATUS *triggerInStatus, COUNTERSTATUS *internalTriggerStatus)
DllSDKExport RESULT | PDMIR_GetCounterAvalancheLastValue (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetCounterValidGateLastValue (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetCounterAuxInLastValue (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetCounterTriggerInLastValue (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetCounterInternalTriggerLastValue (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetAllCountersLastValue (UINT16 serialNumber, UINT8 *index, UINT32 *avalancheCounts, UINT32 *validGateCounts, UINT32 *auxInCounts, UINT32 *triggerInCounts, UINT32 *internalTriggerCounts)
DllSDKExport RESULT | PDMIR_GetCounterAvalancheValueAtIndex (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetCounterValidGateValueAtIndex (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetCounterAuxInValueAtIndex (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetCounterTriggerInValueAtIndex (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetCounterInternalTriggerValueAtIndex (UINT16 serialNumber, UINT8 *index, UINT32 *counts)
DllSDKExport RESULT | PDMIR_GetAllCountersValueAtIndex (UINT16 serialNumber, UINT8 *index, UINT32 *avalancheCounts, UINT32 *validGateCounts, UINT32 *auxInCounts, UINT32 *triggerInCounts, UINT32 *internalTriggerCounts)
DllSDKExport RESULT | PDMIR_GetModuleInfo (UINT16 serialNumber, MODULEINFO *info)
DllSDKExport RESULT | PDMIR_GetModuleStatus (UINT16 serialNumber, STATUSBITS *mStatus, STATUSBITS *mTemperature, STATUSBITS *mSpad, STATUSBITS *mGate, STATUSWARMUP *mWarm, UINT32 *errors)
DllSDKExport void | PDMIR_ErrorTranslator (UINT32 error, char *stringOut)

## Detailed Description

Functions to get parameters of the PDM-IR.

## Function Documentation

DllSDKExport RESULT PDMIR_GetAmplitude | ( | UINT16 | serialNumber,
|  | UINT16 * | ampi
| ) |  |

Get the gate amplitude of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  ampi | Pointer to actual Amplitude in mV. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetGateShape()
  PDMIR_SetAmplitude()

DllSDKExport RESULT PDMIR_GetTemperature | ( | UINT16 | serialNumber,
|  | TEMP_VALUES * | temp
| ) |  |

Get the working temperature of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  temp | Pointer to actual Temperature as TEMP_VALUES. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetTemperature()

DllSDKExport RESULT PDMIR_GetHoldOff | ( | UINT16 | serialNumber,
|  | UINT32 * | holdOff,
|  | HOLDOFFTYPE * | type
| ) |  |

Get the hold off time of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  holdOff | Pointer to actual Hold Off time in ns. This parameter is referenced.
  type | Pointer to the Hold Off type. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetHoldOff()

DllSDKExport RESULT PDMIR_GetGateMode | ( | UINT16 | serialNumber,
|  | GATEMODE * | gate
| ) |  |

Get the gate mode of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  gate | Pointer to gate mode as GATEMODE typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetGateMode()

DllSDKExport RESULT PDMIR_GetGateShape | ( | UINT16 | serialNumber,
|  | GATESHAPE * | shape
| ) |  |

Get the gate shape of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  shape | Pointer to gate shape as GATESHAPE typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetGateShape()

DllSDKExport RESULT PDMIR_GetTriggerEdge | ( | UINT16 | serialNumber,
|  | TREDGE * | edge
| ) |  |

Get the Trigger Edge of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  edge | Pointer to the trigger edge as TREDGE typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetTriggerEdge()

DllSDKExport RESULT PDMIR_GetTriggerInTh | ( | UINT16 | serialNumber,
|  | INT16 * | TriggerInTh
| ) |  |

Get the Trigger In Threshold of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  TriggerInTh | Pointer to the trigger In Threshold in mV. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetTriggerInTh()

DllSDKExport RESULT PDMIR_GetAuxInTh | ( | UINT16 | serialNumber,
|  | INT16 * | AuxInTh
| ) |  |

Get the Aux In Threshold of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  AuxInTh | Pointer to the Aux In Threshold in mV. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetAuxInTh()

DllSDKExport RESULT PDMIR_GetTriggerFunction | ( | UINT16 | serialNumber,
|  | TRFUNCT * | function
| ) |  |

Get the Function between Aux In and trigger (in or internal) of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  function | Pointer to trigger function as TRFUNCT typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetTriggerFunction()

DllSDKExport RESULT PDMIR_GetFrequency | ( | UINT16 | serialNumber,
|  | UINT32 * | freq
| ) |  |

Get the internal trigger frequency in Hz of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  freq | Pointer to Internal trigger frequency in Hz. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetFrequency()

DllSDKExport RESULT PDMIR_GetTon | ( | UINT16 | serialNumber,
|  | UINT32 * | Ton
| ) |  |

Get the Ton time in ns of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  Ton | Pointer to Ton time in ns. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetTon()

DllSDKExport RESULT PDMIR_GetTTLOut | ( | UINT16 | serialNumber,
|  | OUTMODE * | TTLOut
| ) |  |

Get the TTL ouput signal of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  TTLOut | Pointer to output signal as OUTMODE typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetTTLOut()

DllSDKExport RESULT PDMIR_GetNIMOut | ( | UINT16 | serialNumber,
|  | OUTMODE * | NIMOut
| ) |  |

Get the NIM ouput signal of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  NIMOut | Pointer to output signal as OUTMODE typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetNIMOut()

DllSDKExport RESULT PDMIR_GetDelayTriggerIn | ( | UINT16 | serialNumber,
|  | UINT8 * | delay
| ) |  |

Get the Trigger In delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Pointer to added delay at the signal in ns. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetDelayTriggerIn()

DllSDKExport RESULT PDMIR_GetDelayTriggerInternal | ( | UINT16 | serialNumber,
|  | UINT8 * | delay
| ) |  |

Get the Internal Trigger delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Pointer to added delay at the signal in ns. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetDelayTriggerInternal()

DllSDKExport RESULT PDMIR_GetDelayAuxIn | ( | UINT16 | serialNumber,
|  | UINT8 * | delay
| ) |  |

Get the Aux In delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Pointer to added delay at the signal in ns. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetDelayAuxIn()

DllSDKExport RESULT PDMIR_GetDelayGate | ( | UINT16 | serialNumber,
|  | UINT8 * | delay
| ) |  |

Get the Gate delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Pointer to added delay at the signal in ns. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetDelayGate()

DllSDKExport RESULT PDMIR_GetDelayNIMOut | ( | UINT16 | serialNumber,
|  | UINT8 * | delay
| ) |  |

Get the NIM out delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Pointer to added delay at the signal in ns. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetDelayNIMOut()

DllSDKExport RESULT PDMIR_GetDelayTTLOut | ( | UINT16 | serialNumber,
|  | UINT8 * | delay
| ) |  |

Get the TTL out delay of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  delay | Pointer to added delay at the signal in ns. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetDelayTTLOut()

DllSDKExport RESULT PDMIR_GetCounterIntegrationTime | ( | UINT16 | serialNumber,
|  | UINT16 * | integrationTime
| ) |  |

Get the counters integration time of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  integrationTime | Pointer to the integration time in ms. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetCounterIntegrationTime()

DllSDKExport RESULT PDMIR_GetCounterAvalancheStatus | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS * | status
| ) |  |

Get the photon out counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  status | Pointer to the counter status as COUNTERSTATUS typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetCounterAvalancheEnable()

DllSDKExport RESULT PDMIR_GetCounterValidGateStatus | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS * | status
| ) |  |

Get the valid gate counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  status | Pointer to the counter status as COUNTERSTATUS typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetCounterValidGateEnable()

DllSDKExport RESULT PDMIR_GetCounterAuxInStatus | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS * | status
| ) |  |

Get the Aux In counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  status | Pointer to the counter status as COUNTERSTATUS typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetCounterAuxInEnable()

DllSDKExport RESULT PDMIR_GetCounterTriggerInStatus | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS * | status
| ) |  |

Get the trigger In counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  status | Pointer to the counter status as COUNTERSTATUS typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetCounterTriggerInEnable()

DllSDKExport RESULT PDMIR_GetCounterInternalTriggerStatus | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS * | status
| ) |  |

Get the internal trigger counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  status | Pointer to the counter status as COUNTERSTATUS typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_SetCounterInternalTriggerEnable()

DllSDKExport RESULT PDMIR_GetAllCountersStatus | ( | UINT16 | serialNumber,
|  | COUNTERSTATUS * | avalancheStatus,
|  | COUNTERSTATUS * | validGateStatus,
|  | COUNTERSTATUS * | auxInStatus,
|  | COUNTERSTATUS * | triggerInStatus,
|  | COUNTERSTATUS * | internalTriggerStatus
| ) |  |

Get the status of all the counter of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  avalancheStatus | Pointer to the avalanche counter status as COUNTERSTATUS typedef. This parameter is referenced.
  validGateStatus | Pointer to the valid gate counter status as COUNTERSTATUS typedef. This parameter is referenced.
  auxInStatus | Pointer to the aux in counter status as COUNTERSTATUS typedef. This parameter is referenced.
  triggerInStatus | Pointer to the trigger in counter status as COUNTERSTATUS typedef. This parameter is referenced.
  internalTriggerStatus | Pointer to the internal trigger counter status as COUNTERSTATUS typedef. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

DllSDKExport RESULT PDMIR_GetCounterAvalancheLastValue | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the photon out counter value of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated in the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterAvalancheValueAtIndex()

DllSDKExport RESULT PDMIR_GetCounterValidGateLastValue | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the valid gate counter value of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated in the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterValidGateValueAtIndex()

DllSDKExport RESULT PDMIR_GetCounterAuxInLastValue | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the aux in counter value of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated in the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterAuxInValueAtIndex()

DllSDKExport RESULT PDMIR_GetCounterTriggerInLastValue | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the trigger in counter value of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated in the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterTriggerInValueAtIndex()

DllSDKExport RESULT PDMIR_GetCounterInternalTriggerLastValue | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the internal trigger counter value of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated in the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterInternalTriggerValueAtIndex()

DllSDKExport RESULT PDMIR_GetAllCountersLastValue | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | avalancheCounts,
|  | UINT32 * | validGateCounts,
|  | UINT32 * | auxInCounts,
|  | UINT32 * | triggerInCounts,
|  | UINT32 * | internalTriggerCounts
| ) |  |

Get the value of all the counters of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  avalancheCounts | Pointer to the counts value accumulated in the integration time in the avalanche counter. This parameter is referenced.
  validGateCounts | Pointer to the counts value accumulated in the integration time in the valid gate counter. This parameter is referenced.
  auxInCounts | Pointer to the counts value accumulated in the integration time in the aux in counter. This parameter is referenced.
  triggerInCounts | Pointer to the counts value accumulated in the integration time in the trigger in counter. This parameter is referenced.
  internalTriggerCounts | Pointer to the counts value accumulated in the integration time in the internal trigger counter. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetAllCountersValueAtIndex()

DllSDKExport RESULT PDMIR_GetCounterAvalancheValueAtIndex | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the photon out counter value of the PDM-IR at specified index.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated int the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The index value is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The index value is lower than min value.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterAvalancheLastValue()

DllSDKExport RESULT PDMIR_GetCounterValidGateValueAtIndex | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the valid gate counter value of the PDM-IR at specified index.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated int the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The index value is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The index value is lower than min value.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterValidGateLastValue()

DllSDKExport RESULT PDMIR_GetCounterAuxInValueAtIndex | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the Aux In counter value of the PDM-IR at specified index.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated int the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The index value is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The index value is lower than min value.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterAuxInLastValue()

DllSDKExport RESULT PDMIR_GetCounterTriggerInValueAtIndex | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the trigger in counter value of the PDM-IR at specified index.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated int the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The index value is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The index value is lower than min value.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterTriggerInLastValue()

DllSDKExport RESULT PDMIR_GetCounterInternalTriggerValueAtIndex | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | counts
| ) |  |

Get the internal trigger counter value of the PDM-IR at specified index.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  counts | Pointer to the counts value accumulated int the integration time. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The index value is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The index value is lower than min value.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetCounterInternalTriggerLastValue()

DllSDKExport RESULT PDMIR_GetAllCountersValueAtIndex | ( | UINT16 | serialNumber,
|  | UINT8 * | index,
|  | UINT32 * | avalancheCounts,
|  | UINT32 * | validGateCounts,
|  | UINT32 * | auxInCounts,
|  | UINT32 * | triggerInCounts,
|  | UINT32 * | internalTriggerCounts
| ) |  |

Get the value of all the counters of the PDM-IR at specified index.

Parameters

  serialNumber | PDM-IR serial number
  index | Pointer to the index of the rotating array. Index is a value between 0 and 19. This parameter is referenced.
  avalancheCounts | Pointer to the counts value accumulated in the integration time in the avalanche counter. This parameter is referenced.
  validGateCounts | Pointer to the counts value accumulated in the integration time in the valid gate counter. This parameter is referenced.
  auxInCounts | Pointer to the counts value accumulated in the integration time in the aux in counter. This parameter is referenced.
  triggerInCounts | Pointer to the counts value accumulated in the integration time in the trigger in counter. This parameter is referenced.
  internalTriggerCounts | Pointer to the counts value accumulated in the integration time in the internal trigger counter. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_OUT_LIMIT_HIGH The index value is higher than max value.
  RESULT_DATA_OUT_LIMIT_LOW The index value is lower than min value.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_GetAllCountersLastValue()

DllSDKExport RESULT PDMIR_GetModuleInfo | ( | UINT16 | serialNumber,
|  | MODULEINFO * | info
| ) |  |

Get the module information of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  info | Pointer to the structure MODULEINFO. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

DllSDKExport RESULT PDMIR_GetModuleStatus | ( | UINT16 | serialNumber,
|  | STATUSBITS * | mStatus,
|  | STATUSBITS * | mTemperature,
|  | STATUSBITS * | mSpad,
|  | STATUSBITS * | mGate,
|  | STATUSWARMUP * | mWarm,
|  | UINT32 * | errors
| ) |  |

Get the module status of the PDM-IR.

Parameters

  serialNumber | PDM-IR serial number
  mStatus | Pointer to the module status. Allowed values: STATUSBITS_OFF, STATUSBITS_ON. This parameter is referenced.
  mTemperature | Pointer to the temperature status. Allowed values: STATUSBITS_OFF, STATUSBITS_ON, STATUSBITS_Updating. This parameter is referenced.
  mSpad | Pointer to the SPAD polarization status. Allowed values: STATUSBITS_OFF, STATUSBITS_ON, STATUSBITS_Updating. This parameter is referenced.
  mGate | Pointer to the gate status. Allowed values: STATUSBITS_OFF, STATUSBITS_ON, STATUSBITS_Updating. This parameter is referenced.
  mWarm | Pointer to the module temperature. This parameter is referenced.
  errors | Pointer to error code. Use PDMIR_ErrorTranslator() to convert code value to string. This parameter is referenced.

Returns
  RESULT_OK
  RESULT_ERROR_COMMUNICATION Error communicating with the PDM-IR.
  RESULT_DATA_ERROR The received value has wrong format.

See also
  PDMIR_ErrorTranslator()

DllSDKExport void PDMIR_ErrorTranslator | ( | UINT32 | error,
|  | char * | stringOut
| ) |  |

Get the string description of an error code of the PDM-IR.

Parameters

  error | error code.
  stringOut | Pointer to output char array. Array is at least 450 char lenght. This parameter is referenced.

Returns
  null

See also
  PDMIR_GetModuleStatus()